Bug 1571435 - "subscription-manager list" shows Ceph OSD after updating overcloud compute nodes
Summary: "subscription-manager list" shows Ceph OSD after updating overcloud compute n...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: Alan Bishop
QA Contact: Yogev Rabl
URL:
Whiteboard:
Keywords: Triaged, ZStream
Depends On:
Blocks: 1571436
TreeView+ depends on / blocked
 
Reported: 2018-04-24 19:15 UTC by Alan Bishop
Modified: 2018-08-20 13:00 UTC (History)
27 users (show)

(edit)
Prior to this update, when removing the ceph-osd RPM from overcloud nodes that do not require the package, the corresponding Ceph OSD product key was not removed. Consequently, the subscription-manager would incorrectly report that the Ceph OSD product was still installed. 

With this update, the script that handles removal of the ceph-osd RPM now also removes the Ceph OSD product key. As a result, after removing the ceph-osd RPM, the subscription-manager no longer erroneously reports the Ceph OSD product is installed.

Note: The script that removes the RPM and product key executes only during the overcloud update procedure.
Clone Of: 1500594
: 1571436 (view as bug list)
(edit)
Last Closed: 2018-08-20 12:59:48 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 13:00 UTC

Description Alan Bishop 2018-04-24 19:15:56 UTC
+++ This bug was initially created as a clone of Bug #1500594 +++

After deploying overcloud compute nodes, "subscription-manager list" shows following message.
It indicates absence of a license for Ceph OSD.

=======================================================================
# subscription-manager list
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+

Product Name:   Red Hat Enterprise Linux Server
Product Name:   Red Hat Enterprise Linux High Availability (for RHEL Server)
Product ID:     83
Version:        7.1
Arch:           x86_64
Status:         Subscribed
Status Details:
Starts:         03/03/17
Ends:           03/03/18

Product Name:   Red Hat Ceph Storage OSD
Product ID:     288
Version:        2.0
Arch:           x86_64
Status:         Not Subscribed
Status Details: Not supported by a valid subscription.
Starts:
Ends:
=======================================================================

But as you know, there is no need to subscribe Ceph OSD on compute nodes.

We think this is a side effect that director deploys same image for all nodes.
So there is ceph-osd package nevertheless whether the nodes actually need it or not.

Therefore, customer removed ceph-osd package from the node and remove
/etc/pki/product/288.pem file.
After that, "subscription-manager list" does not inform Ceph OSD.

1. Does it a software bug?
   If so, please fix this issue. I think unnecessary packages and pem file should
   be removed automatically during the installation process.

2. Please provide how to fix this issue by hand, publish it as a solution article.

--- Additional comment from Hideshi Fukumoto on 2017-10-11 22:21:14 EDT ---

Additional information:

Customer noticed that there is same problem on OSD nodes.
He thinks OSD nodes should be available with only Ceph license.
But subscription-manager shows lack of "Red Hat Enterprise Linux High Availability" license such as follows.

-------------------------------------------------------------------------------------
Product Name:	Red Hat Enterprise Linux High Availability (for RHEL Server) (★)
Product ID:     83
Version:        7.1
Arch:           x86_64
Status:         Not Subscribed
Status Details: Not supported by a valid subscription.
Starts:
Ends:

Product Name:   Red Hat Ceph Storage OSD
Product ID:     288
Version:        2.0
Arch:           x86_64
Status:         Subscribed
Status Details:
Starts:		08/22/17
Ends:           08/22/18

Product Name:   Red Hat Enterprise Linux Server
Product ID:     69
Version:        7.3
Arch:           x86_64
Status:         Subscribed
Status Details:
Starts:		08/22/17
Ends:           08/22/18

Product Name:   Red Hat Ceph Storage MON
Product ID:     286
Version:        2.0
Arch:           x86_64
Status:         Subscribed
Status Details:
Starts:		08/22/17
Ends:           08/22/18
--------------------------------------------------------------------------------------------------------

He thinks the problem undering controller/compute and ceph is same.
Director deploys all packages for all role nodes without considering subscription is not same
between OpenStack nodes and Ceph OSD nodes.

Comment 5 Yogev Rabl 2018-07-23 13:34:20 UTC
Verified - The unnecessary product PEM file doesn't exists after the update on the relevant nodes

Comment 8 errata-xmlrpc 2018-08-20 12:59:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.